Subject: Re: bug#64101: 29.0.91; Eglot inlay hints rendered out of order

From: João Távora <[email-masked]>
Date: Mon, 19 Jun 2023 17:34:07 +0100

On Mon, Jun 19, 2023 at 5:17 PM Milan Jovanovic <[email-masked]> wrote:
>
> João,  is there a reason why (in Eglot) hint parts can’t be merged and only one overlay created ?

Yes, in general you want to keep different properties of different
labels, such as URL links isolated.

> I fix it to create one overlay and I haven’t noticed any issues (I use it only with the rust-analyzer though).
> Don’t know if this is stupid question,  don’t know much about LSP protocol (or Emacs internals).

It's not a stupid question at all, and it's a possibility, but
I have to understand the problem first, and if you haven't
yet understood that, I don't have a Mac OS machine to test.

Before trying fixes, or at least while you're trying them,
please I urge you to provide a reproduction recipe for whatever
you're trying to do.  Your last follow-up bug report is completely strange
to me: in the situation you last described there aren't any
multiple coinciding overlays like in the original report of Krzysztof.

João